Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

July 22 Facebook Version Deadline for Corona SDK v4a plugin
Started by troylyndon Jul 08 2019 02:17 AM

5 replies to this topic
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

troylyndon

[GLOBAL: userInfoPane.html]
troylyndon
  • Contributor

  • 622 posts
  • Corona SDK

I received this message within my Facebook developer Inbox:

VERSION DEPRECATED

Your App, myAppName, is currently accessing Graph API v2.9 which will reach the end of its 2-year lifetime on 22 July, 2019. We estimate 1 endpoint that myAppName calls will be impacted by this change and may stop working after the automatic upgrade push. To ensure a smooth transition, please migrate all calls to Graph API v2.10 or higher. Use the API Upgrade Tool to understand exactly how this change will impact your app.

Note: If you do not see any impacted calls in the API Upgrade Tool, your app/code may not be affected by this upgrade.

Visit our changelog to see the full list of changes in all Graph API versions.

Any thoughts?


[TOPIC: post.html]
#2

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,212 posts
  • Enterprise

Facebook makes everyone's lives difficult. They don't have an eash comparison around which Graph API their different binary iOS or Android SDK version are using. About the only thing I can go on is dates. It appears that we are using 4.38 of the binary SDK's though I see a commit possibly rolling back to 4.33 (or 4.37, it's not clear).  4.38 has a date on it of Oct, 23, 2018. 4.33 has a date of May 1, 2018. I can see from the iOS change log that 4.33 is using Graph API 3.0 and that 4.35 is using 3.1. There are no additional Graph API mentions through 4.38, so at a minimum we are using an SDK version that's 3.0 or higher.  The Android changelog confirms the same information.

 

I dug through the code and I don't see where we are making specific Graph API calls, just calls to the binary SDK calls. 

 

Does the email hint at what call might still be making 2.9 requests?

 

Rob



[TOPIC: post.html]
#3

SGS

[GLOBAL: userInfoPane.html]
SGS
  • Corona Geek

  • 2,120 posts
  • Corona SDK

Just means you've got a player on an old version. Move on :)

[TOPIC: post.html]
#4

troylyndon

[GLOBAL: userInfoPane.html]
troylyndon
  • Contributor

  • 622 posts
  • Corona SDK

@Rob, thank you for your work on this. I will use it to respond to Facebook.

@SGS, I was thinking the same thing. We have no way of disabling an old version, so hopefully they will just leave well-enough alone.

I will keep this forum post updated with any related info.



[TOPIC: post.html]
#5

troylyndon

[GLOBAL: userInfoPane.html]
troylyndon
  • Contributor

  • 622 posts
  • Corona SDK

I’m now getting emails from Facebook about v2.10 as follows. Any thoughts?

v2.10 Upgrade Reminder
Your App, Play The Bible, currently has access to Graph API v2.10 which will reach the end of its 2-year lifetime on 05 November, 2019. To ensure a smooth transition, please migrate all calls to Graph API v2.11 or higher. Use the API Upgrade Tool to understand exactly how this change will impact your app.

Note: If you do not see any impacted calls in the API Upgrade Tool, your app/code may not be affected by this upgrade.

Visit our changelog to see the full list of changes in all Graph API versions.

You can view this and other Developer Notifications related to your app, in the App Dashboard.

[TOPIC: post.html]
#6

troylyndon

[GLOBAL: userInfoPane.html]
troylyndon
  • Contributor

  • 622 posts
  • Corona SDK

I just reread this thread and see that you believe the plugin is using v3, which is newer than v2.10 - well something is wrong, and it seems to be timing related that prevents FB from allowing a login to be successful consistently. See other post about FB failed logins


[topic_controls]
[/topic_controls]